#!/bin/bash

PATH="/usr/script:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin"

echo "check rootfs mount option"
if [ $(mount -i|grep /dev/mmcblk0p2|grep -c "(ro,") = 1 ];then
        echo "rootfs mounted ro, try to remount rw"
        mount -o rw,remount /
        if [ $(mount -i|grep /dev/mmcblk0p2|grep -c "(rw,") = 1 ];then
                  echo "remount rootfs rw successfully"
        else
                  echo "remount rootfs rw failed"
        fi
else
	echo "rootfs allready mounted rw, nothing to do ..."
fi
echo "check /etc/fstab rootfs mount options"
if ! grep -v "#" /etc/fstab|grep rootfs >/dev/null;then
	if [ $(wget -O- -q http://localhost/web/timerlist|grep "e2state"| grep -c ">2<") != 0 ];then 
		echo "at least one ongoing recording"
		exit 1
	else
		echo "no ongoing recording, update /etc/fstab"
	fi
	echo "restart enigma2"
	systemctl stop enigma2
        sed -i '1 i\rootfs  /               rootfs  rw,relatime                                     0 1' /etc/fstab
        echo "rootfs mount not enabled in /etc/fstab!"
	echo "updated /etc/fstab successfully"
	systemctl start enigma2
else 
        echo "rootfs rw mount on boot allready enabled in /etc/fstab"
fi
echo

cat /etc/fstab

exit 0
